Subject: Re: bug#19208: replace-match unhelpful error message

From: Andreas Schwab <[email-masked]>
Date: Sun, 04 Aug 2019 11:18:17 +0200

On Aug 03 2019, Paul Eggert <[email-masked]> wrote:

> I learned Leibniz conditionals from the late Val Schorre, who was *really*
> good at programming and programming style: Knuth credits Schorre with the
> invention of goto-less programming in the early 1960s. When I redid your
> patch as a Leibniz conditional, I instantly spotted the bug that it
> introduced. You might give Leibniz conditionals a try, as they help make
> code more readable and reliable when checking for range errors or
> overflow.

Perhaps those that need that construct are not good enough to cope with
natural languages.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."